Package ru.bitel.bgbilling.modules.hd.common.bean

# Class PackageConst

java.lang.Object
ru.bitel.bgbilling.modules.hd.common.bean.PackageConst

public class PackageConst extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `HOST_DOMAIN_TYPE_THIS_SERVICE`
  `static final int`
  `HOSTING_HOST_TYPE_ALL`
  `static final int`
  `HOSTING_HOST_TYPE_THIS_SERVICE`
  `static final int`
  `NS_DOMAIN_TYPE_ALL`
  `static final int`
  `NS_DOMAIN_TYPE_THIS_SERVICE`
  `static final int`
  `NS_TYPE_USER_MAN`
  `static final int`
  `NS_TYPE_USER_OPT`
  `static final int`
  `TYPE_AUTO`
  `static final int`
  `TYPE_WITH_CHECK`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PackageConst()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NS_DOMAIN_TYPE_THIS_SERVICE

    public static final int NS_DOMAIN_TYPE_THIS_SERVICE
    See Also:
      - Constant Field Values

  - ### NS_DOMAIN_TYPE_ALL

    public static final int NS_DOMAIN_TYPE_ALL
    See Also:
      - Constant Field Values

  - ### HOST_DOMAIN_TYPE_THIS_SERVICE

    public static final int HOST_DOMAIN_TYPE_THIS_SERVICE
    See Also:
      - Constant Field Values

  - ### HOSTING_HOST_TYPE_THIS_SERVICE

    public static final int HOSTING_HOST_TYPE_THIS_SERVICE
    See Also:
      - Constant Field Values

  - ### HOSTING_HOST_TYPE_ALL

    public static final int HOSTING_HOST_TYPE_ALL
    See Also:
      - Constant Field Values

  - ### TYPE_AUTO

    public static final int TYPE_AUTO
    See Also:
      - Constant Field Values

  - ### TYPE_WITH_CHECK

    public static final int TYPE_WITH_CHECK
    See Also:
      - Constant Field Values

  - ### NS_TYPE_USER_MAN

    public static final int NS_TYPE_USER_MAN
    See Also:
      - Constant Field Values

  - ### NS_TYPE_USER_OPT

    public static final int NS_TYPE_USER_OPT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PackageConst

    public PackageConst()